Skip to main content
`Ctrl`+`K`

# numpy.matrix.tolist

method

matrix.tolist()

  Return the matrix as a (possibly nested) list.

  See `ndarray.tolist` for full documentation.

  See also

  `ndarray.tolist`

  Examples

      >>> x = np.matrix(np.arange(12).reshape((3,4))); x
      matrix([[ 0,  1,  2,  3],
              [ 4,  5,  6,  7],
              [ 8,  9, 10, 11]])
      >>> x.tolist()
      [[0, 1, 2, 3], [4, 5, 6, 7], [8, 9, 10, 11]]